Bug 820765 - man page for rhn-migrate-classic-to-rhsm should note that this tool is supported for 5.8+ and 6.3+
man page for rhn-migrate-classic-to-rhsm should note that this tool is suppor...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Deon Ballard
Entitlement Bugs
:
Depends On:
Blocks: 738066
  Show dependency treegraph
 
Reported: 2012-05-10 18:51 EDT by John Sefler
Modified: 2012-06-20 08:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 08:57:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2012-05-10 18:51:38 EDT
Description of problem:
The man page for rhn-migrate-classic-to-rhsm states:

       This  tool is supported for Red Hat Enterprise Linux 5.8 and later sys-
       tems.


^^^ Technically, this should indicate RHEL5.8+ and RHEL6.3+
However it may be better to drop this sentence since an empowered subscription-manager package that supports this tool must already be installed to read this information.  If I can read this information on this system, then that means I can use rhn-migrate-classic-to-rhsm on this system.


Version-Release number of selected component (if applicable):
[root@ibm-ls21-03 ~]# man -P cat rhn-migrate-classic-to-rhsm | grep Version
Version 0.3                       May 3, 2012   rhn-migrate-classic-to-rhsm(8)
[root@ibm-ls21-03 ~]# rpm -q subscription-manager-migration
subscription-manager-migration-0.99.17-1.el6.i686
Comment 5 John Sefler 2012-05-18 08:23:12 EDT
Verifying Version...

[root@jsefler-r63-server ~]# rpm -q subscription-manager
subscription-manager-0.99.18-1.el6.x86_64
[root@jsefler-r63-server ~]# man -P cat rhn-migrate-classic-to-rhsm | grep Version
Version 0.3                       May 3, 2012   rhn-migrate-classic-to-rhsm(8)

Reviewing man page rhn-migrate-classic-to-rhsm, I see that the offending statement in comment 0 has been removed.  Good choice.
Comment 6 John Sefler 2012-05-18 08:28:11 EDT
(In reply to comment #5)
> Verifying Version...
> 
> [root@jsefler-r63-server ~]# rpm -q subscription-manager
> subscription-manager-0.99.18-1.el6.x86_64
> [root@jsefler-r63-server ~]# man -P cat rhn-migrate-classic-to-rhsm | grep
> Version
> Version 0.3                       May 3, 2012   rhn-migrate-classic-to-rhsm(8)
          ^^^                       ^^^^^^^^^^^
Although the man page was fixed, I'm not sure why the version and/or date of the man page was not bumped up.  Is this a manual oversight Deon?

> 
> Reviewing man page rhn-migrate-classic-to-rhsm, I see that the offending
> statement in comment 0 has been removed.  Good choice.
Comment 7 Deon Ballard 2012-05-31 10:31:35 EDT
Hey, John.

Yes, that is an oversight on my part. Should I change it now? Or just remember better in the future?
Comment 9 errata-xmlrpc 2012-06-20 08:57:48 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0804.html

Note You need to log in before you can comment on or make changes to this bug.